package com.ruoyi.dxp.service;

import java.util.List;
import com.ruoyi.dxp.domain.Literature;

/**
 * 文献管理Service接口
 * 
 * @author jy
 * @date 2022-11-11
 */
public interface ILiteratureService 
{
    /**
     * 查询文献管理
     * 
     * @param id 文献管理主键
     * @return 文献管理
     */
    public Literature selectLiteratureById(Long id);

    /**
     * 查询文献管理列表
     * 
     * @param literature 文献管理
     * @return 文献管理集合
     */
    public List<Literature> selectLiteratureList(Literature literature);

    /**
     * 查询文献管理列表
     *
     * @param literature 文献管理
     * @return 文献管理集合
     */
    public List<Literature> selectHotLiteratureList(Literature literature);

    /**
     * 新增文献管理
     * 
     * @param literature 文献管理
     * @return 结果
     */
    public int insertLiterature(Literature literature);

    /**
     * 修改文献管理
     * 
     * @param literature 文献管理
     * @return 结果
     */
    public int updateLiterature(Literature literature);

    /**
     * 批量删除文献管理
     * 
     * @param ids 需要删除的文献管理主键集合
     * @return 结果
     */
    public int deleteLiteratureByIds(Long[] ids);

    /**
     * 删除文献管理信息
     * 
     * @param id 文献管理主键
     * @return 结果
     */
    public int deleteLiteratureById(Long id);

    /**
     * 增加浏览次数
     * @param id 文献id
     */
    public void addViewCount(Long id);

    /**
     * 增加下载次数
     * @param id 文献id
     */
    public void addDownloadCount(Long id);
}
